### Method

# Gtk Image set_from_gicon

#### Declaration [src]

    void
    gtk_image_set_from_gicon (
      GtkImage* image,
      GIcon* icon
    )

#### Description [src]

Sets a `GtkImage` to show a `GIcon`.

See `gtk_image_new_from_gicon()` for details.

Sets property | `Gtk.Image:gicon`

#### Parameters

`icon`

  Type: `GIcon`

  An icon.

  The data is owned by the caller of the function.